Get a list of feeds
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The id of the space for the Feed.
Query Parameters
feedTypearray of string
The feed types to be matched, provided as a comma separated list of strings.idsarray of string
The feed ids to be matched, provided as a comma separated list of strings.namestring
The exact name of a feed to be matched.partialNamestring
The partial name of feeds to be matched.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The requested list of Feeds
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectFeedTypeenum
Allowed values:None,NuGet,Docker,Maven,OctopusProject,GitHub,Helm,OciRegistry,AwsElasticContainerRegistry,BuiltIn,S3,AzureContainerRegistry,GoogleContainerRegistry,ArtifactoryGeneric,Npm,GcsStorage,PyPi.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringPackageAcquisitionLocationOptionsarray of enum
Allowed values:Server,ExecutionTarget,NotAcquired.SlugstringSpaceIdstring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"FeedType": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"PackageAcquisitionLocationOptions": [
"Server"
],
"Slug": "string",
"SpaceId": "string"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a feed
POST /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The id of the space that contains the feed.
Request Body
ClientVersionobjectFormatenum
Allowed values:Semver,Maven,Docker,Octopus,Lexicographic.HasMetadatabooleanIsLegacyVersionbooleanIsPrereleasebooleanIsSemVer2booleanMajorintegerMetadatastringMinorintegerOriginalStringstringPatchintegerReleasestringReleaseLabelsarray of stringRevisionintegerVersionstring
FeedTypeenum (required)
The type of the feed.
Allowed values:None,NuGet,Docker,Maven,OctopusProject,GitHub,Helm,OciRegistry,AwsElasticContainerRegistry,BuiltIn,S3,AzureContainerRegistry,GoogleContainerRegistry,ArtifactoryGeneric,Npm,GcsStorage,PyPi.Namestring (required)
The name of the feed. Maximum length 44.PackageAcquisitionLocationOptionsarray of enum
The feed’s package acquisition location options.
Allowed values:Server,ExecutionTarget,NotAcquired.Slugstring
The slug of the feed.SpaceIdstring (required)
The id of the space that contains the feed.
Response
201 — Created
FeedTypeenum
Allowed values:None,NuGet,Docker,Maven,OctopusProject,GitHub,Helm,OciRegistry,AwsElasticContainerRegistry,BuiltIn,S3,AzureContainerRegistry,GoogleContainerRegistry,ArtifactoryGeneric,Npm,GcsStorage,PyPi.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringPackageAcquisitionLocationOptionsarray of enum
Allowed values:Server,ExecutionTarget,NotAcquired.SlugstringSpaceIdstring
Example Request
{
"ClientVersion": {
"Format": "Semver",
"HasMetadata": true,
"IsLegacyVersion": true,
"IsPrerelease": true,
"IsSemVer2": true,
"Major": 0,
"Metadata": "string",
"Minor": 0,
"OriginalString": "string",
"Patch": 0,
"Release": "string",
"ReleaseLabels": [
"string"
],
"Revision": 0,
"Version": "string"
},
"FeedType": "None",
"Name": "string",
"PackageAcquisitionLocationOptions": [
"Server"
],
"Slug": "string",
"SpaceId": "string"
}Example Response
{
"FeedType": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"PackageAcquisitionLocationOptions": [
"Server"
],
"Slug": "string",
"SpaceId": "string"
}Get all Feeds
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The id of the space for the Feed.
Response
200 — The requested list of Feeds
FeedTypeenum
Allowed values:None,NuGet,Docker,Maven,OctopusProject,GitHub,Helm,OciRegistry,AwsElasticContainerRegistry,BuiltIn,S3,AzureContainerRegistry,GoogleContainerRegistry,ArtifactoryGeneric,Npm,GcsStorage,PyPi.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringPackageAcquisitionLocationOptionsarray of enum
Allowed values:Server,ExecutionTarget,NotAcquired.SlugstringSpaceIdstring
Example Response
[
{
"FeedType": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"PackageAcquisitionLocationOptions": [
"Server"
],
"Slug": "string",
"SpaceId": "string"
}
]Get all feed statistics
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The id of the space for the Feed.
Response
200 — The requested Feed Statistics
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.TotalPackagesinteger
Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"TotalPackages": 0
}Get a feed resource by ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The id of the feed resource.spaceIdstring (required)
The id of the space that contains the feed.
Response
200 — The requested Feed
FeedTypeenum
Allowed values:None,NuGet,Docker,Maven,OctopusProject,GitHub,Helm,OciRegistry,AwsElasticContainerRegistry,BuiltIn,S3,AzureContainerRegistry,GoogleContainerRegistry,ArtifactoryGeneric,Npm,GcsStorage,PyPi.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringPackageAcquisitionLocationOptionsarray of enum
Allowed values:Server,ExecutionTarget,NotAcquired.SlugstringSpaceIdstring
Example Response
{
"FeedType": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"PackageAcquisitionLocationOptions": [
"Server"
],
"Slug": "string",
"SpaceId": "string"
}Modify a feed by ID
PUT /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The id of the feed.spaceIdstring (required)
The id of the space that contains the feed.
Request Body
ClientVersionobjectFormatenum
Allowed values:Semver,Maven,Docker,Octopus,Lexicographic.HasMetadatabooleanIsLegacyVersionbooleanIsPrereleasebooleanIsSemVer2booleanMajorintegerMetadatastringMinorintegerOriginalStringstringPatchintegerReleasestringReleaseLabelsarray of stringRevisionintegerVersionstring
FeedTypeenum (required)
The type of the feed.
Allowed values:None,NuGet,Docker,Maven,OctopusProject,GitHub,Helm,OciRegistry,AwsElasticContainerRegistry,BuiltIn,S3,AzureContainerRegistry,GoogleContainerRegistry,ArtifactoryGeneric,Npm,GcsStorage,PyPi.Idstring (required)
The id of the feed.Namestring (required)
The name of the feed. Maximum length 44.PackageAcquisitionLocationOptionsarray of enum
The feed’s package acquisition location options.
Allowed values:Server,ExecutionTarget,NotAcquired.Slugstring
The slug of the feed.SpaceIdstring (required)
The id of the space that contains the feed.
Response
200 — The response returned from the request to modify a feed.
FeedTypeenum
Allowed values:None,NuGet,Docker,Maven,OctopusProject,GitHub,Helm,OciRegistry,AwsElasticContainerRegistry,BuiltIn,S3,AzureContainerRegistry,GoogleContainerRegistry,ArtifactoryGeneric,Npm,GcsStorage,PyPi.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringPackageAcquisitionLocationOptionsarray of enum
Allowed values:Server,ExecutionTarget,NotAcquired.SlugstringSpaceIdstring
Example Request
{
"ClientVersion": {
"Format": "Semver",
"HasMetadata": true,
"IsLegacyVersion": true,
"IsPrerelease": true,
"IsSemVer2": true,
"Major": 0,
"Metadata": "string",
"Minor": 0,
"OriginalString": "string",
"Patch": 0,
"Release": "string",
"ReleaseLabels": [
"string"
],
"Revision": 0,
"Version": "string"
},
"FeedType": "None",
"Id": "string",
"Name": "string",
"PackageAcquisitionLocationOptions": [
"Server"
],
"Slug": "string",
"SpaceId": "string"
}Example Response
{
"FeedType": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"PackageAcquisitionLocationOptions": [
"Server"
],
"Slug": "string",
"SpaceId": "string"
}Delete an existing Feed
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the Feed.spaceIdstring (required)
The ID of the Space that contains the Feed.
Response
200 — Success
Search the specified feed for packages based on the provided search term
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The id of the feed resource.spaceIdstring (required)
The id of the space for the Feed.
Query Parameters
packageTypestring
The package type to filter results by. Used by feeds that can contain multiple package types. Valid values are ContainerImage and HelmChart.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 20. Minimum0.termstring
The term to search for.
Response
200 — Holds a paginated collection of searched package descriptions
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectDescriptionstringIdstringLatestVersionstringLinksobjectNamestring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Description": "string",
"Id": "string",
"LatestVersion": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}List available package versions for the specified feed and package
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The id of the feed resource.spaceIdstring (required)
The id of the space for the Feed.
Query Parameters
filterstring
Version number text to filter by.includePreReleaseboolean
Flag to include pre-release versions, defaults to true.includeReleaseNotesboolean
Flag to include release notes, defaults to false.packageIdstring (required)
The id of the package.preReleaseTagstring
The semver tag regex pattern to filter by.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.versionRangestring
The range of versions to filter by.versionTagRegexstring
The version-tag regex, applied to the full version string when set.versioningStrategystring
The versioning strategy: SemVer or MostRecentlyPublished.
Response
200 — Contains a paginated collection of package versions returned from a search
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectFeedIdstringIdstringLinksobjectPackageIdstringPublishedstring
Date the package was published. Optional Property. Formatdate-time.ReleaseNotesstring
Release notes for the package.SizeBytesinteger
Size of package in bytes. Optional Property.Titlestring
Title of the package. This may be just the package name if the feed does not expose any version specific name.Versionstring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"FeedId": "string",
"Id": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"PackageId": "string",
"Published": "2020-01-01T00:00:00.000Z",
"ReleaseNotes": "string",
"SizeBytes": 0,
"Title": "string",
"Version": "string"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}